unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Spin, StdCtrls, Math;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    Image1: TImage;
    Timer1: TTimer;

    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  G1:TCanvas;
  omega,h,R1,R2,gama,m1,m2,s1,s2,phi2,G11,G2:real;
  m,km,xr,x,y,t,f,vx,vy,ax,ay,c,yr,vyr,vxr,kx,ky:real;

implementation
  uses Grafy;
{$R *.dfm}


procedure TForm1.FormCreate(Sender: TObject);
var i:integer;
begin
G1:=Image1.Canvas;
Graf(G1,-20,20,-30,10,6,6);
G1.Pen.Color:=clred;
for i:=0 to 360 do
  PolozPero(G1,6.3*cos(3.14*i/180),6.3*sin(3.14*i/180));
G1.Pen.Color:=clblack;
m :=  6E24;
km := m*6.67E-11;
h := 60;

t := 0;x := 0;y := 6700E3;vx := 9000;vy := 0;c := 0;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin

if sqrt(x*x+y*y)<6.38E6 then Timer1.Enabled:=False;
Memo1.Lines.Add(IntToStr(round(t))+' : '+IntToStr(round(x/1000000))+' : '+IntToStr(round(y/100000)));
if sign(x)<>sign(xr)THEN c:=c+1;
if (x>0) AND (c=3) THEN Timer1.Enabled:=False;

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
 Timer1.Enabled:=True;
 vx:=SpinEdit1.Value*1000;
 y:=SpinEdit2.Value*1000;
 t:=0;x:=0;vy:=0;c:=0;
end;

end.
