unit Grafy;

interface
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls;

var
  i:integer;
  Deltax, deltay, Krokx, Kroky, XXmin,YYmin:real;

  Procedure Graf(G2:TCanvas;Xmin,Xmax,Ymin,Ymax:real;Nx,Ny:integer);
  Procedure PolozPero(G2:TCanvas;Ax, Ay:real);
  Procedure Kresli(G2:TCanvas;Ax, Ay:real);
  Procedure PopisOsi(G2:TCanvas;Osx,Osy:String);

implementation

uses unit1;

Procedure Graf(G2:TCanvas;Xmin,Xmax,Ymin,Ymax:real;Nx,Ny:integer);
Var xr:real;
    X1:string;
Begin
  XXmin := Xmin;
  YYmin := Ymin;
  Deltax:= Xmax-Xmin;

  Krokx := (Form1.Image1.Width-40)/Nx;
  Deltay:= Ymax-Ymin;
  Kroky := (Form1.Image1.Height-40)/Ny;
  G2.Rectangle(20,20,Form1.Image1.Width-20,Form1.Image1.Height-20);
  G2.Pen.Style:=psDot;

  For i:= 1 to Nx-1 do begin
     G2.MoveTo(round(20+i*Krokx),20);
     G2.LineTo(round(20+i*Krokx),Form1.Image1.Height-20);
  end;
  For i:= 0 to Nx do begin
     xr := (Xmin+i*Deltax/Nx);
     Str(xr:1:1,X1);
     G2.TextOut(round(18+i*Krokx),Form1.Image1.Height-14,X1);
  end;
  For i:= 1 to Ny-1 do begin
     G2.MoveTo(20,round(20+i*Kroky));
     G2.LineTo(Form1.Image1.Width-20,round(20+i*Kroky));
  end;
  For i:= 0 to Ny do begin
     xr := (Ymin+i*Deltay/Ny);
     Str(xr:1:1,X1);
     G2.TextOut(1,Form1.Image1.Height-round(30+i*Kroky),X1);
  end;
  G2.Pen.Style:=psSolid;

End;

Procedure PolozPero(G2:TCanvas;Ax, Ay:real);
Begin
Ax := (Form1.Image1.Width-40)*(Ax-XXmin)/Deltax;
Ay := (Form1.Image1.Height-40)*(Ay-YYmin)/Deltay;
G2.MoveTo(20+round(Ax),  Form1.Image1.Height-20-round(Ay));
G2.Pen.Width := 5;
G2.LineTo(20+round(Ax),  Form1.Image1.Height-20-round(Ay));
G2.Pen.Width := 1;
End;

Procedure Kresli(G2:TCanvas;Ax, Ay:real);
Begin
Ax := (Form1.Image1.Width-40)*(Ax-XXmin)/Deltax;
Ay := (Form1.Image1.Height-40)*(Ay-YYmin)/Deltay;
G2.LineTo(20+round(Ax), Form1.Image1.Height-20-round(Ay));
G2.Pen.Width := 5;
G2.LineTo(20+round(Ax),  Form1.Image1.Height-20-round(Ay));
G2.Pen.Width := 1;
End;

Procedure PopisOsi(G2:TCanvas;Osx,Osy:String);
Begin
G2.TextOut(Form1.Image1.Width-50,Form1.Image1.Height-40,Osx);
G2.TextOut(30,5,Osy)
End;

end.
 